Name:          cppdap
Version:       1.58.0
Release:       1mamba
Summary:       C++ library for the Debug Adapter Protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/cppdap
Source:        https://github.com/google/cppdap.git/dap-%{version}-a/cppdap-%{version}.tar.bz2
Patch0:        cppdap-1.58.0-upstream-shared-libs.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libnlohmann-json-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
C++ library for the Debug Adapter Protocol.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .upstream-shared-libs

%build
%cmake -d build \
    -DCPPDAP_USE_EXTERNAL_NLOHMANN_JSON_PACKAGE=ON \
    -DBUILD_SHARED_LIBS=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcppdap.so
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/dap
%{_includedir}/dap/*.h
#%{_libdir}/libcppdap.a
%dir %{_libdir}/cmake/cppdap
%{_libdir}/cmake/cppdap/cppdap*.cmake
%doc README.md


%changelog
* Fri Jul 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.58.0-1mamba
- package created using the webbuild interface
